/* ----------------------------------------------------------------------- */
/* -               Astronomical CCD Camera Control                       - */
/* -                         Header File                                 - */
/* ----------------------------------------------------------------------- */
/*                                                                         */
/* Copyright (c) 2011 John Kielkopf                                        */
/* kielkopf@louisville.edu                                                 */
/*                                                                         */
/* This file is part of XmCCD.                                             */
/*                                                                         */
/*                                                                         */
/* XmCCD is free software: you can redistribute it and/or modify           */
/* it under the terms of the GNU General Public License as published by    */
/* the Free Software Foundation, either version 3 of the License, or       */
/* (at your option) any later version.                                     */
/*                                                                         */
/* XmCCD is distributed in the hope that it will be useful,                */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/* GNU General Public License for more details.                            */
/*                                                                         */
/*                                                                         */
/* Date: August 3, 2011                                                    */
/* Version: 3.1.3                                                          */

/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.ccd"
#define MAXPATHLEN  100
                                                                                                                                                
                                                                          
/* Map sky to +x=1, -x=2, +y=4, -y=8 relays */

#define EAST      1 
#define WEST      2
#define NORTH     4
#define SOUTH     8 

/* Expected detector properties will be updated by camera driver */
  
#define IMAGEXMAX  3072
#define IMAGEYMAX  2048
#define TRACKXMAX  657
#define TRACKYMAX  495

#define ARCSEC_PER_PIXEL  0.5372967


/* INDI parameters */

#define FRAMECOUNTMULTI   100    /* Maximum number of frames in  multi mode */

#define SINGLE       0     /* One exposure only */ 
#define FOCUS        1     /* Focus exposures with no storage */
#define MULTI        2     /* Repeated exposures with storage */

#define	POLLMS      250    /* Poll period, ms */

#define	IMGMAXEXP   3600.  /* Maximum image ccd exposure */
#define	IMGMINEXP   0.001  /* Minimum image ccd exposure */
#define	IMGINCEXP   1.0    /* Image exposure time increment  */
#define	IMGDEFEXP   1.0    /* Default image exposure (seconds) */

#define	TRKMAXEXP   100.   /* Maximum track ccd exposure */
#define	TRKMINEXP   0.001  /* Minimum track ccd exposure */
#define	TRKINCEXP   0.1    /* Track exposure time increment  */
#define	TRKDEFEXP   0.4    /* Default track exposure */

#define RELAYONTIME 1.0    /* Guide relay time in seconds */

#define NOCOPY   0
#define NETCOPY  1
#define INDICOPY 2

#define	MYDEV	"ccd"      /* Name for this device */

